%global debug_package %{nil}

Summary:	Asterisk FreePBX Web Interface
Name:		freepbx
Version:	13.0.64
Release:    	3%{dist}
License:    	GPL
Group:		System/Servers
Source0:	%{name}-freepbxdistro-%{version}.tgz
Source1:  	apache.conf
Source2:	motd.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch: 	noarch
AutoReqProv:	no
Vendor:		Sangoma Technologies
Packager: 	Andrew Nagy <anagy@sangoma.com>
URL:		http://www.freepbx.org/

Requires:	httpd
Requires:	mysql
Requires:	mysql-server
Requires:	php
Requires:	php-gd
Requires:	php-mysql
Requires:	php-pear
Requires:	php-pdo
Requires:	php-process
Requires:	php-xml
Requires:	php-mbstring
Requires:	php-intl
Requires:	sudo
Requires:	sysadmin
Requires:	php-5.3-zend-guard-loader
Requires:	prosody
Requires:	nodejs
Requires:	icu
Requires:	libicu-devel

Provides:	perl(retrieve_parse_amportal_conf.pl)

%description
FreePBX is a GUI that gives you the ability to manage your Asterisk system.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}

%build

%install
%{__install} -d %{buildroot}/usr/src/%{name}-%{version}
cp -r * %{buildroot}/usr/src/%{name}-%{version}
mkdir -p %{buildroot}/etc/httpd/conf.d
cp %{SOURCE1} %{buildroot}/etc/httpd/conf.d/freepbx.conf
mkdir -p %{buildroot}/etc/profile.d
cp %{SOURCE2} %{buildroot}/etc/profile.d/motd.sh

%pre
#only do on a new install
if [ $1 == 1 ]; then
	/etc/init.d/asterisk start
	/etc/init.d/mysqld start
fi

%post
#only do on a new install
if [ $1 == 1 ]; then

	mv -f /usr/src/%{name} /usr/src/%{name}.RPMSAVE
	ln -s /usr/src/%{name}-%{version} /usr/src/%{name}

	mkdir -p /etc/asterisk

	#new install call install
	echo " *** Installing FreePBX"
	cd /usr/src/%{name}-%{version}
	./start_asterisk start > /var/log/freepbx_rpm_install.log #/dev/null 2>&1

	./install -n > /var/log/freepbx_rpm_install.log

	# Post file processing.  Prior releases weren't setting 755 on amportal.conf which caused
	# problems on fresh installs of freepbx.
	touch /var/log/asterisk/fail2ban
	touch /var/log/asterisk/freepbx_security.log
	/usr/sbin/fwconsole chown
	touch /var/log/asterisk/cdr-csv/Master.csv
	chmod 777  /var/log/asterisk/cdr-csv/Master.csv
	mkdir -p /var/lib/asterisk/sounds/custom/
	chown -R asterisk.asterisk /var/lib/asterisk/sounds/custom/
	/usr/sbin/fwconsole ma download framework
	/usr/sbin/fwconsole ma install framework
	/usr/sbin/fwconsole ma enable framework
	/usr/sbin/fwconsole ma download core
	/usr/sbin/fwconsole ma install core
	/usr/sbin/fwconsole ma enable core
	/usr/sbin/fwconsole ma installlocal
	/usr/sbin/fwconsole r
	#because freepbx_ha has issues being in a 32bit system when it's 64bit
	/usr/sbin/fwconsole ma refreshsignatures
	/usr/sbin/fwconsole r
	chmod 755 /var/spool/asterisk/monitor

	if [ -x /usr/sbin/fwconsole ]; then
		fwconsole restart
	fi

  # The standard timeout will prevent us from downloading modules and installing them
  sed -i "s/^Timeout 120$/Timeout 300/" /etc/httpd/conf/httpd.conf

  # Allow overrides in apache for FreePBX.
  sed -i "s/AllowOverride None/AllowOverride All/"  /etc/httpd/conf/httpd.conf

  #User and Group Settings
  sed -i 's/^\(User\|Group\).*/\1 asterisk/' /etc/httpd/conf/httpd.conf

  #Max file size
  sed -i 's/\(^upload_max_filesize = \).*/\1256M/' /etc/php.ini

  if [ -x /usr/sbin/httpd ]; then
		/usr/sbin/httpd -k restart
	fi
	echo " *** FreePBX installed!"

else
	echo "FreePBX has not been upgraded. Please upgrade FreePBX through Module Admin."
fi

if [ -x /usr/sbin/httpd ] && [ -f /etc/init.d/httpd ]; then
  /etc/init.d/httpd reload
fi

%clean
rm -rf %{buildroot}

%files
/usr/src/%{name}-%{version}/*
%attr(0755,root,root) /etc/profile.d/motd.sh
%config /etc/httpd/conf.d/freepbx.conf
